mia-raw2image
Prev | Image conversion | Next

### mia-raw2image

#### Sysnopis:

`mia-raw2image` {-i `string`} {-o `io`} {-s `2dbounds`} [ `options` ...]

#### Description:

This program is used to convert raw data to a 2D file format.

#### Options:

-i, --in-file=(input, required); string

  input file name

-o, --out-file=(output, required); io

  output file name. For supported file types see Plugin type: 2dimage/io

-r, --repn=ubyte; dict

  input pixel type

  bit: | binary data
  sbyte: | signed 8 bit
  ubyte: | unsigned 8 bit
  sshort: | signed 16 bit
  ushort: | unsigned 16 bit
  sint: | signed 32 bit
  uint: | unsigned 32 bit
  slong: | signed 64 bit
  ulong: | unsigned 64 bit
  float: | floating point 32 bit
  double: | floating point 64 bit
  none: | no pixel type defined

-b, --big-endian

  input data is big endian

-f, --scale=[1,1]; 2dfvector

  scale of input pixels <FX,FY>

-s, --size=(required); 2dbounds

  size of input <NX,NY>

-k, --skip=0; ulong

  skip number of bytes from beginning of file

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Convert a data set data.raw of size <10,20> of short integer data with a pixel size of <1.2, 2.3> to a PNG file image.png

    mia-raw2image -i data.raw -o image.png -s '<10,20>' -k '<1.2,2.3>' -r ushort

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dimageselect | Home | mia-raw2volume